import request from '@/utils/request'

// 变量列表查询
export function variableList(params) {
    return request({
        url: '/deviceAnalogVariableList/variableListone',
        method: 'POST',
        data: params,
    })
}

// 通信设备下拉
export function deviceList(params) {
    return request({
        url: '/device/deviceList',
        method: 'GET',
        params,
    })
}

// 监控设备下拉
export function deviceNewsListBox(params) {
    return request({
        url: '/deviceAttribute/deviceNewsListBox',
        method: 'GET',
        params,
    })
}

//变量列表-新增
export function variableAdd(params) {
    return request({
        url: '/deviceAnalogVariableList/variableListAdd',
        method: 'POST',
        data: params,
    })
}

//变量列表-修改
export function variableListUpdate(params) {
    return request({
        url: '/deviceAnalogVariableList/variableListUpdate',
        method: 'POST',
        data: params,
    })
}

// 变量列表-删除
export function variableListDel(params) {
    return request({
        url: '/deviceAnalogVariableList/variableListDel',
        method: 'GET',
        params,
    })
}

//站点管理-变量列表-导出
export function variableListExport(params) {
    return request({
        url: '/deviceAnalogVariableList/variableListExport',
        method: 'GET',
        params,
    })
}